Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.output
Class DTDEmitter

    java.lang.Object
      |
      +--com.icl.saxon.output.Emitter
            |
            +--com.icl.saxon.output.ProxyEmitter
                  |
                  +--com.icl.saxon.output.DTDEmitter

All Implemented Interfaces:
  javax.xml.transform.Result

public class DTDEmitter
extends ProxyEmitter

DTDEmitter is an Emitter that generates output in DTD format from special elements such as dtd:doctype and dtd:element.

Fields inherited from class com.icl.saxon.output.ProxyEmitter
`baseEmitter, outputProperties`

Fields inherited from class com.icl.saxon.output.Emitter
`locator, namePool, outputStream, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`DTDEmitter()`

Method Summary
`void` | `characters(char[] chars, int start, int len)` Write character data (normally the value of an entity)
`void` | `endElement(int nameCode)` End of an element.
`void` | `startElement(int nameCode, org.xml.sax.Attributes attributes, int[] namespaces, int nscount)` Start of an element.

Methods inherited from class com.icl.saxon.output.ProxyEmitter
`comment, endDocument, processingInstruction, setDocumentLocator, setEscaping, setNamePool, setOutputProperties, setUnderlyingEmitter, setUnparsedEntity, setWriter, startDocument`

Methods inherited from class com.icl.saxon.output.Emitter
`getNamePool, getOutputProperties, getOutputStream, getSystemId, getWriter, makeEmitter, setOutputStream, setSystemId, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTDEmitter

    public DTDEmitter()

Method Detail

### startElement

    public void startElement(int nameCode,
                             org.xml.sax.Attributes attributes,
                             int[] namespaces,
                             int nscount)
                      throws javax.xml.transform.TransformerException

  Start of an element.
  Overrides:
    `startElement` in class `ProxyEmitter`
  Following copied from class: `com.icl.saxon.output.Emitter`
  Parameters:
    `namespaces` - Array of namespace codes identifying the namespace prefix/uri pairs associated with this element
    `nscount` - Number of significant entries within namespaces array

### endElement

    public void endElement(int nameCode)
                    throws javax.xml.transform.TransformerException

  End of an element.
  Overrides:
    `endElement` in class `ProxyEmitter`

### characters

    public void characters(char[] chars,
                           int start,
                           int len)
                    throws javax.xml.transform.TransformerException

  Write character data (normally the value of an entity)
  Overrides:
    `characters` in class `ProxyEmitter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD